using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Truss
{
    [DataContract]
    public class WCS_Truss531 : ITruss531
    {
        [DataMember(Order = 0)]
        public int TaskNo1 { get; set; }

        [DataMember(Order = 1)]
        public int TaskNo2 { get; set; }

        [DataMember(Order = 2)]
        public int TaskNo3 { get; set; }

        [DataMember(Order = 3)]
        public int TaskNo4 { get; set; }

        [DataMember(Order = 4)]
        public int TaskNo5 { get; set; }

        [DataMember(Order = 5)]
        public int TaskNo6 { get; set; }

        [DataMember(Order = 6)]
        public int TaskNo7 { get; set; }

        [DataMember(Order = 7)]
        public int TaskNo8 { get; set; }

        [DataMember(Order = 8)]
        public int TaskNo9 { get; set; }

        [DataMember(Order = 9)]
        public int TaskNo10 { get; set; }

        [DataMember(Order = 10)]
        public int TaskNo11 { get; set; }

        [DataMember(Order = 11)]
        public int TaskNo12 { get; set; }

        [DataMember(Order = 12)]
        public int TaskNo13 { get; set; }

        [DataMember(Order = 13)]
        public int TaskNo14 { get; set; }

        [DataMember(Order = 14)]
        public int TaskNo15 { get; set; }

        [DataMember(Order = 15)]
        public int TaskNo16 { get; set; }

        [DataMember(Order = 16)]
        public int TaskNo17 { get; set; }

        [DataMember(Order = 17)]
        public int TaskNo18 { get; set; }

        [DataMember(Order = 18)]
        public int TaskNo19 { get; set; }

        [DataMember(Order = 19)]
        public int TaskNo20 { get; set; }

        [DataMember(Order = 20)]
        public int TaskNo21 { get; set; }

        [DataMember(Order = 21)]
        public int TaskNo22 { get; set; }

        [DataMember(Order = 22)]
        public int TaskNo23 { get; set; }

        [DataMember(Order = 23)]
        public int TaskNo24 { get; set; }

        [DataMember(Order = 24)]
        public int TaskNo25 { get; set; }

        [DataMember(Order = 25)]
        public int TaskNo26 { get; set; }

        [DataMember(Order = 26)]
        public int TaskNo27 { get; set; }

        [DataMember(Order = 27)]
        public int TaskNo28 { get; set; }

        [DataMember(Order = 28)]
        public int TaskNo29 { get; set; }

        [DataMember(Order = 29)]
        public int TaskNo30 { get; set; }

        [DataMember(Order = 30)]
        public int TaskNo31 { get; set; }

        [DataMember(Order = 31)]
        public int TaskNo32 { get; set; }

        [DataMember(Order = 32)]
        public int TaskNo33 { get; set; }

        [DataMember(Order = 33)]
        public int TaskNo34 { get; set; }

        [DataMember(Order = 34)]
        public int TaskNo35 { get; set; }

        [DataMember(Order = 35)]
        public int TaskNo36 { get; set; }

        [DataMember(Order = 36)]
        public int TaskNo37 { get; set; }

        [DataMember(Order = 37)]
        public int TaskNo38 { get; set; }

        [DataMember(Order = 38)]
        public int TaskNo39 { get; set; }

        [DataMember(Order = 39)]
        public int TaskNo40 { get; set; }

        [DataMember(Order = 40)]
        public int TaskNo41 { get; set; }

        [DataMember(Order = 41)]
        public int TaskNo42 { get; set; }

        [DataMember(Order = 42)]
        public int TaskNo43 { get; set; }

        [DataMember(Order = 43)]
        public int TaskNo44 { get; set; }

        [DataMember(Order = 44)]
        public int TaskNo45 { get; set; }

        [DataMember(Order = 45)]
        public int TaskNo46 { get; set; }

        [DataMember(Order = 46)]
        public int TaskNo47 { get; set; }

        [DataMember(Order = 47)]
        public int TaskNo48 { get; set; }

        [DataMember(Order = 48)]
        public int TaskNo49 { get; set; }

        [DataMember(Order = 49)]
        public int TaskNo50 { get; set; }

        [DataMember(Order = 50)]
        public int TaskNo51 { get; set; }

        [DataMember(Order = 51)]
        public int TaskNo52 { get; set; }

        [DataMember(Order = 52)]
        public int TaskNo53 { get; set; }

        [DataMember(Order = 53)]
        public int TaskNo54 { get; set; }

        [DataMember(Order = 54)]
        public int TaskNo55 { get; set; }

        [DataMember(Order = 55)]
        public int TaskNo56 { get; set; }

        [DataMember(Order = 56)]
        public int TaskNo57 { get; set; }

        [DataMember(Order = 57)]
        public int TaskNo58 { get; set; }

        [DataMember(Order = 58)]
        public int TaskNo59 { get; set; }

        [DataMember(Order = 59)]
        public int TaskNo60 { get; set; }

        [DataMember(Order = 60)]
        public short Type { get; set; }

        [DataMember(Order = 61)]
        public short MaxQuantity { get; set; }

        [DataMember(Order = 62)]
        public short Quantity { get; set; }

        [DataMember(Order = 63)]
        public TrussCmdType CmdType { get; set; }

        [DataMember(Order = 64)]
        public short VoucherNo { get; set; }
    }
}
